For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/2025-07/api/products/llms.txt. For full documentation content, see https://developer.shipbob.com/2025-07/api/products/llms-full.txt.

# Update specific channel metadata record from a variant by channel metadata ID


PUT https://api.shipbob.com/2025-07/variant/{variantId}/channel-metadata/{channelMetadataId}
Content-Type: application/json

Reference: https://developer.shipbob.com/2025-07/api/products/update-specific-channel-metadata-record-from-a-variant-by-channel-metadata-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2025-07
  version: 1.0.0
paths:
  /2025-07/variant/{variantId}/channel-metadata/{channelMetadataId}:
    put:
      operationId: >-
        update-specific-channel-metadata-record-from-a-variant-by-channel-metadata-id
      summary: >
        Update specific channel metadata record from a variant by channel
        metadata ID
      tags:
        - subpackage_products
      parameters:
        - name: variantId
          in: path
          description: |
            The ID of the variant to update the metadata from
          required: true
          schema:
            type: string
            format: int64
        - name: channelMetadataId
          in: path
          description: |
            The ID of the channel metadata record to update
          required: true
          schema:
            type: string
            format: int64
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Products.VariantViewModelV5'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Bad.Request.Object
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Request.OneOf.AmazonChannelMetadataRequestModel.BaseChannelMetadataRequestModel.BigCommerceChannelMetadataRequestModel.ShopifyChannelMetadataRequestModel
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Products.AmazonChannelMetadataRequestModel:
      type: object
      properties:
        channel_id:
          type:
            - integer
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type:
            - integer
            - 'null'
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
        asin:
          type:
            - string
            - 'null'
        fnsku:
          type:
            - string
            - 'null'
        fulfillment_channel:
          type:
            - string
            - 'null'
      description: Amazon Sales Channel Information with custom Amazon Fields
      title: Products.AmazonChannelMetadataRequestModel
    Products.BaseChannelMetadataRequestModel:
      type: object
      properties:
        channel_id:
          type:
            - integer
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type:
            - integer
            - 'null'
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
      description: Standard Channel Metadata Record to store SellerSKU for a Sales Channel
      title: Products.BaseChannelMetadataRequestModel
    Products.BigCommerceChannelMetadataRequestModel:
      type: object
      properties:
        channel_id:
          type:
            - integer
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type:
            - integer
            - 'null'
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
        platform_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform_variant_id:
          type:
            - integer
            - 'null'
          format: int64
      description: BigCommerce Sales Channel Information with custom Amazon Fields
      title: Products.BigCommerceChannelMetadataRequestModel
    Products.ShopifyChannelMetadataRequestModel:
      type: object
      properties:
        channel_id:
          type:
            - integer
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type:
            - integer
            - 'null'
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
      description: Shopify Sales Channel Information
      title: Products.ShopifyChannelMetadataRequestModel
    Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Request.OneOf.AmazonChannelMetadataRequestModel.BaseChannelMetadataRequestModel.BigCommerceChannelMetadataRequestModel.ShopifyChannelMetadataRequestModel:
      oneOf:
        - $ref: '#/components/schemas/Products.AmazonChannelMetadataRequestModel'
        - $ref: '#/components/schemas/Products.BaseChannelMetadataRequestModel'
        - $ref: '#/components/schemas/Products.BigCommerceChannelMetadataRequestModel'
        - $ref: '#/components/schemas/Products.ShopifyChannelMetadataRequestModel'
      title: >-
        Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Request.OneOf.AmazonChannelMetadataRequestModel.BaseChannelMetadataRequestModel.BigCommerceChannelMetadataRequestModel.ShopifyChannelMetadataRequestModel
    Products.AdditionalHazmatAttributesViewModel:
      type: object
      properties:
        charge_state_percentage:
          type:
            - number
            - 'null'
          format: double
        container_metal:
          type:
            - boolean
            - 'null'
        container_type:
          type:
            - string
            - 'null'
        lithium_battery_packaging:
          type:
            - string
            - 'null'
        lithium_battery_type:
          type:
            - string
            - 'null'
        magnet:
          type:
            - boolean
            - 'null'
        net_volume:
          type:
            - number
            - 'null'
          format: double
        net_weight:
          type:
            - number
            - 'null'
          format: double
      title: Products.AdditionalHazmatAttributesViewModel
    Products.AssociatedBundlesViewModel:
      type: object
      properties:
        product_id:
          type: integer
          format: int64
        product_name:
          type:
            - string
            - 'null'
        quantity:
          type: integer
        variant_id:
          type: integer
          format: int64
        variant_sku:
          type:
            - string
            - 'null'
      title: Products.AssociatedBundlesViewModel
    Products.BundleDefinitionViewModel:
      type: object
      properties:
        product_id:
          type: integer
          format: int64
        quantity:
          type: integer
        variant_id:
          type: integer
          format: int64
        variant_name:
          type:
            - string
            - 'null'
        variant_sku:
          type:
            - string
            - 'null'
      title: Products.BundleDefinitionViewModel
    Products.CustomsViewModel:
      type: object
      properties:
        country_code_of_origin:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        hs_tariff_code:
          type:
            - string
            - 'null'
        is321_eligible:
          type: boolean
        value:
          type:
            - integer
            - 'null'
      title: Products.CustomsViewModel
    Products.DimensionViewModel:
      type: object
      properties:
        height:
          type: number
          format: double
        is_locked:
          type: boolean
        length:
          type: number
          format: double
        source:
          type:
            - string
            - 'null'
        unit:
          type:
            - string
            - 'null'
        width:
          type: number
          format: double
      title: Products.DimensionViewModel
    Products.SerialScanViewModel:
      type: object
      properties:
        exact_character_length:
          type:
            - integer
            - 'null'
        is_enabled:
          type: boolean
        prefix:
          type:
            - string
            - 'null'
        suffix:
          type:
            - string
            - 'null'
      title: Products.SerialScanViewModel
    Products.FulfillmentSettingsViewModel:
      type: object
      properties:
        dangerous_goods:
          type: boolean
        is_bpm_parcel:
          type: boolean
        is_case_pick:
          type: boolean
        msds_url:
          type:
            - string
            - 'null'
        requires_prop65:
          type: boolean
        serial_scan:
          $ref: '#/components/schemas/Products.SerialScanViewModel'
      title: Products.FulfillmentSettingsViewModel
    Products.InventoryViewModel:
      type: object
      properties:
        inventory_id:
          type:
            - integer
            - 'null'
        on_hand_qty:
          type: integer
      title: Products.InventoryViewModel
    Products.LotInformationViewModel:
      type: object
      properties:
        is_lot:
          type: boolean
        minimum_shelf_life_days:
          type:
            - integer
            - 'null'
      title: Products.LotInformationViewModel
    Products.MergedChildrenViewModel:
      type: object
      properties:
        channel_ids:
          type:
            - array
            - 'null'
          items:
            type: integer
            format: int64
        completed_at:
          type: string
          format: date-time
        inventory_id:
          type:
            - integer
            - 'null'
          format: int64
        variant_id:
          type: integer
          format: int64
        variant_name:
          type:
            - string
            - 'null'
      title: Products.MergedChildrenViewModel
    Products.EnumViewModel:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type:
            - string
            - 'null'
      title: Products.EnumViewModel
    Products.ReturnPreferencesViewModel:
      type: object
      properties:
        backup_action:
          $ref: '#/components/schemas/Products.EnumViewModel'
        instructions:
          type:
            - string
            - 'null'
        primary_action:
          $ref: '#/components/schemas/Products.EnumViewModel'
        return_to_sender_backup_action:
          $ref: '#/components/schemas/Products.EnumViewModel'
        return_to_sender_primary_action:
          $ref: '#/components/schemas/Products.EnumViewModel'
      title: Products.ReturnPreferencesViewModel
    Products.WeightViewModel:
      type: object
      properties:
        unit:
          type:
            - string
            - 'null'
        weight:
          type: number
          format: double
      title: Products.WeightViewModel
    Products.BarcodeViewModel:
      type: object
      properties:
        sticker_url:
          type:
            - string
            - 'null'
        value:
          type:
            - string
            - 'null'
      title: Products.BarcodeViewModel
    Products.ChannelMetadataViewModel:
      type: object
      properties:
        channel_id:
          type: integer
          format: int64
        channel_name:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
      title: Products.ChannelMetadataViewModel
    Products.AmazonChannelMetadataViewModel:
      type: object
      properties:
        channel_id:
          type: integer
          format: int64
        channel_name:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
        asin:
          type:
            - string
            - 'null'
        fnsku:
          type:
            - string
            - 'null'
        fulfillment_channel:
          type:
            - string
            - 'null'
      title: Products.AmazonChannelMetadataViewModel
    Products.BigCommerceChannelMetadataViewModel:
      type: object
      properties:
        channel_id:
          type: integer
          format: int64
        channel_name:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
        platform_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform_variant_id:
          type:
            - integer
            - 'null'
          format: int64
      title: Products.BigCommerceChannelMetadataViewModel
    Products.ShopifyChannelMetadataViewModel:
      type: object
      properties:
        channel_id:
          type: integer
          format: int64
        channel_name:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        is_inventory_sync_enabled:
          type: boolean
        legacy_product_id:
          type:
            - integer
            - 'null'
          format: int64
        platform:
          type:
            - string
            - 'null'
        platform_identifier:
          type:
            - string
            - 'null'
        platform_inventory_item_id:
          type:
            - string
            - 'null'
        price:
          type: number
          format: double
        seller_sku:
          type:
            - string
            - 'null'
      title: Products.ShopifyChannelMetadataViewModel
    ProductsVariantViewModelV5ChannelMetadataItems:
      oneOf:
        - $ref: '#/components/schemas/Products.ChannelMetadataViewModel'
        - $ref: '#/components/schemas/Products.AmazonChannelMetadataViewModel'
        - $ref: '#/components/schemas/Products.BigCommerceChannelMetadataViewModel'
        - $ref: '#/components/schemas/Products.ShopifyChannelMetadataViewModel'
      title: ProductsVariantViewModelV5ChannelMetadataItems
    Products.VariantViewModelV5:
      type: object
      properties:
        additional_hazmat_attributes:
          $ref: '#/components/schemas/Products.AdditionalHazmatAttributesViewModel'
        associated_bundles:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.AssociatedBundlesViewModel'
        bundle_definition:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.BundleDefinitionViewModel'
        created_on:
          type: string
          format: date-time
        customs:
          $ref: '#/components/schemas/Products.CustomsViewModel'
        dimension:
          $ref: '#/components/schemas/Products.DimensionViewModel'
        fulfillment_settings:
          $ref: '#/components/schemas/Products.FulfillmentSettingsViewModel'
        gtin:
          type:
            - string
            - 'null'
        id:
          type: integer
          format: int64
        inventory:
          $ref: '#/components/schemas/Products.InventoryViewModel'
        is_digital:
          type: boolean
        is_image_uploaded:
          type: boolean
        lot_information:
          $ref: '#/components/schemas/Products.LotInformationViewModel'
        merge_children:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.MergedChildrenViewModel'
        name:
          type:
            - string
            - 'null'
        packaging_material_type:
          $ref: '#/components/schemas/Products.EnumViewModel'
        packaging_requirement:
          $ref: '#/components/schemas/Products.EnumViewModel'
        return_preferences:
          $ref: '#/components/schemas/Products.ReturnPreferencesViewModel'
        reviews_pending:
          type:
            - array
            - 'null'
          items:
            type: string
        sku:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        upc:
          type:
            - string
            - 'null'
        updated_on:
          type:
            - string
            - 'null'
          format: date-time
        weight:
          $ref: '#/components/schemas/Products.WeightViewModel'
        barcodes:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Products.BarcodeViewModel'
        channel_metadata:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/ProductsVariantViewModelV5ChannelMetadataItems
      title: Products.VariantViewModelV5
    Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Bad.Request.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: >-
        Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Bad.Request.Object
    Products.ProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
      title: Products.ProblemDetails
    Products.HttpValidationProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        errors:
          type:
            - object
            - 'null'
          additionalProperties:
            type: array
            items:
              type: string
      title: Products.HttpValidationProblemDetails
    Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails:
      oneOf:
        - $ref: '#/components/schemas/Products.ProblemDetails'
        - $ref: '#/components/schemas/Products.HttpValidationProblemDetails'
      title: >-
        Products.Put.Api.V5.Variant.VariantId.Channel.Metadata.ChannelMetadataId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token
    OAuth2:
      type: http
      scheme: bearer
      description: OAuth2 authentication using JWT tokens

```

## SDK Code Examples

```python Products_updateSpecificChannelMetadataRecordFromAVariantByChannelMetadataId_example
import requests

url = "https://api.shipbob.com/2025-07/variant/variantId/channel-metadata/channelMetadataId"

payload = {
    "asin": "string",
    "fnsku": "string",
    "fulfillment_channel": "string",
    "channel_id": 0,
    "currency": "string",
    "id": 0,
    "is_inventory_sync_enabled": True,
    "legacy_product_id": 0,
    "platform": "string",
    "platform_identifier": "string",
    "platform_inventory_item_id": "string",
    "price": 0.1,
    "seller_sku": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Products_updateSpecificChannelMetadataRecordFromAVariantByChannelMetadataId_example
const url = 'https://api.shipbob.com/2025-07/variant/variantId/channel-metadata/channelMetadataId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"asin":"string","fnsku":"string","fulfillment_channel":"string","channel_id":0,"currency":"string","id":0,"is_inventory_sync_enabled":true,"legacy_product_id":0,"platform":"string","platform_identifier":"string","platform_inventory_item_id":"string","price":0.1,"seller_sku":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Products_updateSpecificChannelMetadataRecordFromAVariantByChannelMetadataId_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2025-07/variant/variantId/channel-metadata/channelMetadataId"

	payload := strings.NewReader("{\n  \"asin\": \"string\",\n  \"fnsku\": \"string\",\n  \"fulfillment_channel\": \"string\",\n  \"channel_id\": 0,\n  \"currency\": \"string\",\n  \"id\": 0,\n  \"is_inventory_sync_enabled\": true,\n  \"legacy_product_id\": 0,\n  \"platform\": \"string\",\n  \"platform_identifier\": \"string\",\n  \"platform_inventory_item_id\": \"string\",\n  \"price\": 0.1,\n  \"seller_sku\": \"string\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Products_updateSpecificChannelMetadataRecordFromAVariantByChannelMetadataId_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2025-07/variant/variantId/channel-metadata/channelMetadataId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"asin\": \"string\",\n  \"fnsku\": \"string\",\n  \"fulfillment_channel\": \"string\",\n  \"channel_id\": 0,\n  \"currency\": \"string\",\n  \"id\": 0,\n  \"is_inventory_sync_enabled\": true,\n  \"legacy_product_id\": 0,\n  \"platform\": \"string\",\n  \"platform_identifier\": \"string\",\n  \"platform_inventory_item_id\": \"string\",\n  \"price\": 0.1,\n  \"seller_sku\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java Products_updateSpecificChannelMetadataRecordFromAVariantByChannelMetadataId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.shipbob.com/2025-07/variant/variantId/channel-metadata/channelMetadataId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"asin\": \"string\",\n  \"fnsku\": \"string\",\n  \"fulfillment_channel\": \"string\",\n  \"channel_id\": 0,\n  \"currency\": \"string\",\n  \"id\": 0,\n  \"is_inventory_sync_enabled\": true,\n  \"legacy_product_id\": 0,\n  \"platform\": \"string\",\n  \"platform_identifier\": \"string\",\n  \"platform_inventory_item_id\": \"string\",\n  \"price\": 0.1,\n  \"seller_sku\": \"string\"\n}")
  .asString();
```

```php Products_updateSpecificChannelMetadataRecordFromAVariantByChannelMetadataId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.shipbob.com/2025-07/variant/variantId/channel-metadata/channelMetadataId', [
  'body' => '{
  "asin": "string",
  "fnsku": "string",
  "fulfillment_channel": "string",
  "channel_id": 0,
  "currency": "string",
  "id": 0,
  "is_inventory_sync_enabled": true,
  "legacy_product_id": 0,
  "platform": "string",
  "platform_identifier": "string",
  "platform_inventory_item_id": "string",
  "price": 0.1,
  "seller_sku": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Products_updateSpecificChannelMetadataRecordFromAVariantByChannelMetadataId_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2025-07/variant/variantId/channel-metadata/channelMetadataId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"asin\": \"string\",\n  \"fnsku\": \"string\",\n  \"fulfillment_channel\": \"string\",\n  \"channel_id\": 0,\n  \"currency\": \"string\",\n  \"id\": 0,\n  \"is_inventory_sync_enabled\": true,\n  \"legacy_product_id\": 0,\n  \"platform\": \"string\",\n  \"platform_identifier\": \"string\",\n  \"platform_inventory_item_id\": \"string\",\n  \"price\": 0.1,\n  \"seller_sku\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Products_updateSpecificChannelMetadataRecordFromAVariantByChannelMetadataId_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "asin": "string",
  "fnsku": "string",
  "fulfillment_channel": "string",
  "channel_id": 0,
  "currency": "string",
  "id": 0,
  "is_inventory_sync_enabled": true,
  "legacy_product_id": 0,
  "platform": "string",
  "platform_identifier": "string",
  "platform_inventory_item_id": "string",
  "price": 0.1,
  "seller_sku": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/variant/variantId/channel-metadata/channelMetadataId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```